Summary: FAM, the File Alteration Monitor.
Name: fam
Version: 2.6.8
Release: 12
License: GPL/LGPL
Group: System Environment/Daemons
URL: http://oss.sgi.com/projects/fam/
Source: fam-%{version}.tar.gz
Source2: sgi_fam.xinetd
Patch1: fam-2.6.8-dnotify2.patch
Patch2: fam_build.patch
Patch7: fam-2.6.7-cleanup.patch
Patch8: fam-2.6.7-gcc31.patch
Patch9: fam-2.6.8-largefile.patch
Patch10: fam-2.6.8-getgrouplist.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: portmap
Requires: xinetd >= 2:2.1.8.9pre15

%description
FAM, the File Alteration Monitor, provides a daemon and an API which
applications can use for notification of changes in specific files or
directories.

%package devel
Summary: FAM, the File Alteration Monitor development files.
Group: Development/Libraries
Requires: fam = %{version}-%{release}

%description devel
Static libraries and header files for fam, the File Alteration
Monitor.

%prep
%setup
%patch1 -p1 -b .dnotify
%patch2 -p1 -b .build
%patch7 -p1 -b .cleanup
%patch8 -p1 -b .gcc31
%patch9 -p1 -b .largefile
%patch10 -p1 -b .getgrouplist

%build
#The patch changes configure.in, so we have to regenerate some files
libtoolize --force
aclocal
autoconf
autoheader
automake --add-missing

export CFLAGS="$RPM_OPT_FLAGS -DHAVE_GETGROUPLIST" CXXFLAGS="$RPM_OPT_FLAGS -DHAVE_GETGROUPLIST"
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
%makeinstall

# remove unpackages files:
rm -f $RPM_BUILD_ROOT%{_libdir}/fam/editconf.perl

mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
cp $RPM_SOURCE_DIR/sgi_fam.xinetd $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/sgi_fam

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
killall -q -HUP xinetd
exit 0

%postun
/sbin/ldconfig
killall -q -HUP xinetd
exit 0

%files
%defattr(-,root,root)
%doc ChangeLog COPYING INSTALL INSTALL.rpm README TODO
%config(noreplace) %{_sysconfdir}/xinetd.d/sgi_fam
%config(noreplace) %{_sysconfdir}/fam.conf
%{_bindir}/fam
%{_libdir}/libfam.so.*
%{_mandir}/man1/fam.1m.*

%files devel
%defattr(-, root, root)
%{_libdir}/libfam.so
%{_libdir}/libfam.la
%{_libdir}/libfam.a
%{_includedir}/fam.h
%{_mandir}/man3/fam.3x*

%changelog
* Tue Aug 12 2003 Alexander Larsson <alexl@redhat.com> 2.6.8-12
- send the right signal to xinetd (#75703)

* Tue Aug  5 2003 Alexander Larsson <alexl@redhat.com> 2.6.8-11
- Update dnotify patch with some optimizations
- fixes bug #99364

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Fri Jan 31 2003 Alexander Larsson <alexl@redhat.com> 2.6.8-9
- Add getgrouplist patch and add HAVE_GETGROUPLIST define

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Nov 18 2002 Mike A. Harris <mharris@redhat.com> 2.6.8-7
- lib64-ized for AMD Hammer
- Specfile wide usage of _bindir, _libdir, etc.
- Changed specfile to use %%configure and %%makeinstall
- Removed ugly legacy RPM Prefix: usage
- Made fam-devel require fam = ver-rel not just fam = ver
- Changed manpages in file lists to be globbed, and not have .gz specified
- Re-enable Alpha arch that bero disabled in 2.6.6-2 due to compiler bugs
- Updated Buildroot: to use _tmppath

* Mon Nov  4 2002 Alexander Larsson <alexl@redhat.com> 2.6.8-6
- Build with large file support.
- Now doesn't send delete events for large files.

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 2.6.8-5
- Remove unpackaged files in %%install

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com>
- rebuild using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun  3 2002 Alex Larsson <alexl@redhat.com>
- Update to 2.6.8

* Sun Apr  7 2002 Alex Larsson <alexl@redhat.com>
- New dnotify patch that fixes bad reentrancy bug. 

* Tue Feb 26 2002 Alex Larsson <alexl@redhat.com>
- Bump for rebuild. Disabled patch stdc++ patch

* Tue Jan 15 2002 Alex Larsson <alexl@redhat.com> 2.6.7-4
- Added patch that should keep /tmp clean

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jan  7 2002 Alex Larsson <alexl@redhat.com> 2.6.7-2
- Changed -lsupc++ to -lstdc++.

* Mon Jan  7 2002 Alex Larsson <alexl@redhat.com> 2.6.7-1
- Updated to 2.7.6
- removed patches that went in upstream
- added -lsupc++ to the link line for libfam.

* Mon Dec 17 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.6.6-2
- Fix build with gcc 3.1
- Handle RPM_OPT_FLAGS correctly
- Use %%{_mandir} as opposed to hardcoding /usr/share/man
- Temporarily exclude alpha due to compiler bugs

* Thu Nov 29 2001 Alex Larsson <alexl@redhat.com> 2.6.6-1
- Updated to 2.2.6

* Tue Oct  3 2001 Alex Larsson <alexl@redhat.com> 2.6.4-14
- Look at mtime for stat_changed too.

* Tue Oct  2 2001 Alex Larsson <alexl@redhat.com> 2.6.4-13
- Add changed in same second racecondition half-fix.

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Wed Aug 22 2001 Alex Larsson <alexl@redhat.com> 2.6.4-11
- Fix the comment in the xinetd file
- This fixes bug #52328

* Tue Aug 14 2001 Alexander Larsson <alexl@redhat.com> 2.6.4-10
- Only set version=2 in xinetd config file, because some xinetds
- seems to have a problem registering several versions of an rpc
- with the portmapper. Fixes the disappearing icons problem in
- Nautilus.

* Tue Aug  7 2001 Alexander Larsson <alexl@redhat.com> 2.6.4-9
- Fixed dnotify detection 

* Tue Aug  7 2001 Alexander Larsson <alexl@redhat.com> 2.6.4-8
- Add patch that fixes problem when several different users
- connect to fam.

* Wed Jul 04 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Make killall silent.

* Wed Jul 04 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- make sure scripts exit without failure

* Mon Jul 2 2001 Alexander Larsson <alexl@redhat.com>
- Release 5. Some specfile cleanups

* Mon Jul 2 2001 Alexander Larsson <alexl@redhat.com>
- Release 4. Bind the server to 127.0.0.1 to avoid external
- connections. New dnotify patch that handles (i hope)
- queue overruns. Make the service UNLISTED so that modification
- of /etc/rpc isn't needed.

* Wed Jun 27 2001 Alexander Larsson <alexl@redhat.com>
- release 3, require xinetd pre15 because of brokenness in pre14
- Install the service in /etc/rpc

* Tue Jun 26 2001 Alexander Larsson <alexl@redhat.com>
- Initial version, based on the one in the fam distribution.
- release is 2 to avoid collisions with the distribution version
